Bug 1677754 - Random failure to resume session with GnuTLS client
Summary: Random failure to resume session with GnuTLS client
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: gnutls
Version: 8.0
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: rc
: 8.0
Assignee: Anderson Sasaki
QA Contact: Alexander Sosedkin
Jan Fiala
URL:
Whiteboard:
Depends On: 1682477 1689967 1789392
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-02-15 19:16 UTC by Hubert Kario
Modified: 2021-05-03 07:39 UTC (History)
7 users (show)

Fixed In Version: gnutls-3.6.13-3.el8
Doc Type: Known Issue
Doc Text:
.GnuTLS tolerates longer delays during session resumption Previously, the client implementation of the GnuTLS library negotiated a new TLS (Transport Layer Security) 1.3 session instead of resuming a previously negotiated one if the server did not send session resumption data within 50 ms. This incurred a minor performance impact on session negotiation. With this update, the client waits for an estimated round-trip time plus 100 ms. As a result, the GnuTLS client session resumption is more robust when paired with slow servers or communicating over slow network links. Additionally, for debugging purposes, you can make the client wait indefinitely by using the new `--waitresumption` option for the `--resume` option in the `gnutls-cli` utility.
Clone Of:
Environment:
Last Closed: 2020-11-04 01:55:24 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Gitlab gnutls/gnutls/issues/706 0 None None None 2019-02-18 12:55:02 UTC
Gitlab gnutls/gnutls/issues/841 0 None None None 2019-10-18 12:14:27 UTC
Red Hat Product Errata RHBA-2020:4526 0 None None None 2020-11-04 01:55:52 UTC

Internal Links: 1608895

Description Hubert Kario 2019-02-15 19:16:01 UTC
Description of problem:
GnuTLS fails to resume session with the NSS server, randomly.

Version-Release number of selected component (if applicable):
gnutls-3.6.5-1.el8.x86_64
nss-3.41.0-5.el8.x86_64

How reproducible:
randomly, less than 30% connections that attempt resumption fail

Steps to Reproduce:
1. start nss server, attempt multiple resumptions
2.
3.

Actual results:
some connections fail to resume session

Expected results:
all sessions should be able to resume when the ticket is not reused

Additional info:

Comment 1 Hubert Kario 2019-02-18 12:46:28 UTC
reproduced also against OpenSSL server so looks like the issue is in GnuTLS.

Comment 2 Anderson Sasaki 2019-03-13 17:36:35 UTC
This issue was set to medium priority because it does not affect core functionality of a component.

Comment 3 Anderson Sasaki 2019-03-22 14:47:45 UTC
Upstream fix:
https://gitlab.com/gnutls/gnutls/merge_requests/936

Comment 12 Simo Sorce 2019-09-05 12:17:09 UTC
Retarget to 8.3 for the time being

Comment 24 errata-xmlrpc 2020-11-04 01:55:24 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (gnutls bug fix and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:4526


Note You need to log in before you can comment on or make changes to this bug.